Package name.pachler.nio.file.impl

# Class VoidWatchEvent

java.lang.Object
name.pachler.nio.file.WatchEvent<Void>
name.pachler.nio.file.impl.VoidWatchEvent

public class VoidWatchEvent extends WatchEvent<Void>

## Nested Class Summary

## Nested classes/interfaces inherited from class name.pachler.nio.file.WatchEvent

`WatchEvent.Kind<T>, WatchEvent.Modifier<T>`

## Method Summary

Modifier and Type
Method
Description
`Void`
`context()`
`int`
`count()`
The number of times this event occurred, if it is cumulative.
`WatchEvent.Kind<Void>`
`kind()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### context

public Void context()

Specified by:
  `context` in class `WatchEvent<Void>`
Returns:
  the context of this event, which is usually a reference to the object that has changed. In the case of WatchEvents for Path, the context will be a `Path` to the file that this event refers to, relative to the watched `Path`

### count

public int count()
Description copied from class: `WatchEvent`
The number of times this event occurred, if it is cumulative. It is not specified how events cumulate, so use this value for informational purposes only.

Specified by:
  `count` in class `WatchEvent<Void>`
Returns:
  the number of times this event has occurred, in case events of this kind have been aggregated into one WatchEvent instance.

### kind

public WatchEvent.Kind<Void> kind()

Specified by:
  `kind` in class `WatchEvent<Void>`
Returns:
  the kind of event that occurred. This will indicate what actually happened, for instance, StandardWatchEventKind#ENTRY_CREATE indicates that a file has been created.